> ## Documentation Index
> Fetch the complete documentation index at: https://bunny.net/docs/llms.txt
> Use this file to discover all available pages before exploring further.
# Get the latest DNS record scan result for a DNS Zone
## OpenAPI
````yaml https://core-api-public-docs.b-cdn.net/docs/v3/public.json get /dnszone/{zoneId}/records/scan
openapi: 3.0.0
info:
title: bunny.net API
description: >-
Learn how to use the [bunny.net](https://bunny.net "bunny.net - The content delivery platform that truly hops.") API. Everything that can be done with the control panel can also be achieved with our API documented on this page. To learn how to use the storage API, have a look at our storage API documentation
Third party API clients:
We currently do not maintain an official API library, but you can use one of the third party ones provided here:
https://github.com/codewithmark/bunnycdn (bunny.net PHP library, thanks to Code With Mark)
Note that third party clients are not maintained or developed by bunny.net so we unfortunately cannot offer support for them.
termsOfService: https://bunny.net/tos
contact:
name: bunny.net
url: https://docs.bunny.net
email: support@bunny.net
version: 1.0.0
servers:
- url: https://api.bunny.net
description: bunny.net API Server
security:
- AccessKey: []
tags:
- name: Stream Video Library
- name: User
- name: AuditLog
- name: Storage Zone
- name: Statistics
- name: Search
- name: Pull Zone
- name: Pricing
- name: Load Balancer
- name: DNS Zone
- name: DNSSEC
- name: Billing
- name: API Keys
- name: Affiliate
- name: Countries
- name: Purge
- name: Region
paths:
/dnszone/{zoneId}/records/scan:
get:
tags:
- DNS Zone
summary: Get the latest DNS record scan result for a DNS Zone
operationId: TriggerDnsZoneRecordScanEndpoint_GetLatestScan
parameters:
- name: zoneId
in: path
required: true
description: The DNS Zone ID
schema:
type: integer
format: int64
x-position: 1
responses:
'200':
description: Latest DNS record scan job details
content:
application/json:
schema:
$ref: '#/components/schemas/DnsZoneRecordScanJobResponse'
'401':
description: The request authorization failed
'404':
description: No scan found or DNS Zone not found
security:
- AccessKey:
- User
- UserApi
- SubuserAPIDns
- SubuserDns
- SubuserManage
- SubuserAPIManage
- ScopedApiKey
- bearer:
- User
- UserApi
- SubuserAPIDns
- SubuserDns
- SubuserManage
- SubuserAPIManage
- ScopedApiKey
components:
schemas:
DnsZoneRecordScanJobResponse:
type: object
additionalProperties: false
properties:
JobId:
type: string
format: guid
ZoneId:
type: integer
format: int64
nullable: true
Domain:
type: string
nullable: true
AccountId:
type: string
nullable: true
Status:
description: |-
0 = Pending
1 = In Progress
2 = Completed
3 = Failed
oneOf:
- $ref: '#/components/schemas/DnsZoneScanJobStatus'
CreatedAt:
type: string
format: date-time
CompletedAt:
type: string
format: date-time
nullable: true
Records:
type: array
nullable: true
items:
$ref: '#/components/schemas/DnsZoneDiscoveredRecordModel'
Error:
type: string
nullable: true
DnsZoneScanJobStatus:
type: integer
description: |-
0 = Pending
1 = In Progress
2 = Completed
3 = Failed
x-enumNames:
- Pending
- InProgress
- Completed
- Failed
enum:
- 0
- 1
- 2
- 3
DnsZoneDiscoveredRecordModel:
type: object
additionalProperties: false
properties:
Name:
type: string
description: Record name relative to the zone. '@' represents apex.
nullable: true
Type:
description: |-
Show all 13 values
| Value | Name |
|---|---|
| `0` | A |
| `1` | AAAA |
| `2` | CNAME |
| `3` | TXT |
| `4` | MX |
| `8` | SRV |
| `9` | CAA |
| `10` | PTR |
| `12` | NS |
| `13` | SVCB |
| `14` | HTTPS |
| `15` | TLSA |
| `16` | SOA |
nullable: true
oneOf:
- $ref: '#/components/schemas/DnsZoneDiscoveredRecordType'
Ttl:
type: integer
format: int32
nullable: true
Value:
type: string
nullable: true
Priority:
type: integer
format: int32
nullable: true
Weight:
type: integer
format: int32
nullable: true
Port:
type: integer
format: int32
nullable: true
IsProxied:
type: boolean
DnsZoneDiscoveredRecordType:
type: integer
description: |-
0 = A
1 = AAAA
2 = CNAME
3 = TXT
4 = MX
8 = SRV
9 = CAA
10 = PTR
12 = NS
13 = SVCB
14 = HTTPS
15 = TLSA
16 = SOA
x-enumNames:
- A
- AAAA
- CNAME
- TXT
- MX
- SRV
- CAA
- PTR
- NS
- Svcb
- HTTPS
- TLSA
- SOA
enum:
- 0
- 1
- 2
- 3
- 4
- 8
- 9
- 10
- 12
- 13
- 14
- 15
- 16
securitySchemes:
AccessKey:
type: apiKey
description: API Access Key authorization header
name: AccessKey
in: header
bearer:
type: apiKey
description: Bearer token authorization header
name: Authorization
in: header
````
This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.